
import browser from "./browser"

const config = {
    /**
     * 静态资源路径
     */
    staticURL: process.env.VUE_APP_STATIC_DIR,
    urlFill:  process.env.VUE_APP_URL_FILL, 
    thumb:require('@/assets/images/default/img_cover_default.jpg'),
    noresult:require('@/assets/images/default/img_noresults@2x.png'),
    empty: require('@/assets/images/default/img_empty@2x.png'),
    projectNum: browser.urlQueryValue('id'),
    sceneNum: browser.urlQueryValue('vr'),
    lang: browser.urlQueryValue('lang')||'zh',
    CDN: process.env.VUE_APP_CDN,
    fdkkURL: process.env.VUE_APP_PROXY_URL_ROOT+'/',

    getKrpano(obj){
        if(typeof(obj)=="undefined"||obj==null) obj="krpanoSWFObject";
        var krpano = document.getElementById(obj);
        return krpano;
    },

    // 无限滚动列表的每页数据量
    PAGE_SIZE: 20,
    // 需要限制视角可变范围的场景
    noLittleIds: [
      'WK1656467989114929152',
      'WK1656877437742497792',
      'WK1656904911083814912',
      'WK1666376954959364096',
      'WK1666378820984242176',
      'WK1666379589867274240',
    ],
};

export default config